% NMM Toolbox:  routines for least squares fitting of curves to data
%
% conductFit   LS fit of conductivity data for Copper at low temperatures
% cuconBasis1  Basis fcns for conductivity model:  1/k = c1/T + c2*T^2
% cuconBasis2  Basis fcns for conductivity model:  1/k = c1/T + c2*T + c3*T^2
% demoExpFit   Fit exponentially decay of capacitor voltage
% demoFanCurve Multivariate fit of fan data:  dp = f(q,v)
% demoH2OSat   Fit saturation pressure versus temperature for water
% demoPlaneFit Least squares fit of data to a plane: z = f(x,y)
% demoSiCmod   Least squares fit of bulk modulus of SiC versus temperature
% demoTcouple  Linear and quadratic fits to thermocouple data with polyfit
% demoXexp     Demonstrate fit of synthetic data to y = c1*x*exp(c2*x).
% fitnorm      Least squares fitting via solution to the normal equations
% fitqr        Least squares fitting via solution of overdetermined system with QR
% linefit      Least squares fit of data to y = a*x + b
% lineTest     Script that uses linefit to fit four data points to a line
% xexpfit      Least squares fit of data to y = c1*x*exp(c2*x)
% xinvpxBasis  Matrix with columns evaluated with 1/x and x
% xinvpxfit    Least squares fit of synthetic data to y = c1/x + c2*x
